# PrintSampleStream (twitter4j-examples 4.0.7 API)
Date: 2018-08-16

twitter4j.examples.stream

## Class PrintSampleStream

- java.lang.Object
- - twitter4j.examples.stream.PrintSampleStream

    public final class PrintSampleStream
    extends Object

This is a code example of Twitter4J Streaming API - sample method support.
Usage: java twitter4j.examples.PrintSampleStream

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`PrintSampleStream()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)` Main entry of this application.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintSampleStream

    public PrintSampleStream()

### Method Detail

#### main

    public static void main(String[] args)
                     throws TwitterException

Main entry of this application.

Parameters:
  `args` - arguments doesn't take effect with this example
Throws:
  `TwitterException` - when Twitter service or network is unavailable